// pages/mine/wxml/bond/bond.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    array: [],
    prodUrl:app.globalData.prodUrl
  },
  bond: function(e) {
    //console.log(e)
    var _this = this;
    wx.showModal({
      title: '提示',
      content: '确定退还保证金',
      success: function(res) {
        if (res.confirm) {
          //console.log('用户点击确定')
          wx.request({
            url: app.globalData.prodUrl + 'web-pm/wx/pm/initiate_refund',
            header: {
              'ydw-token': wx.getStorageSync('key').ydw_token
            },
            data:{
              item_kid: e.target.dataset.pm_item_id
            },
            success: function(data) {
              //console.log(data)
              _this.onLoad()
            }
          });
        } else if (res.cancel) {
          //console.log('用户点击取消')
        }
      }
    })

  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    var _this = this;
    //console.log(wx.getStorageSync('key').ydw_token)
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/list_refund',
      header: {
        'ydw-token': wx.getStorageSync('key').ydw_token
      },
      success: function (data) {
        //console.log(data)
        _this.setData({
          array: data.data.data
        })
      },
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  }
})